## mlddc 3.2.2-4

=== Makefile ===
#
# MLDDC Makefile 1.5  Artur Skawina <skawina@usa.net>
#
# 1.0  Initial version
# 1.1  New entry for OS/2 (Samuel Audet <guardia@cam.org>)
# 1.2  Improved dist and sdist targets
# 1.3  Added zip format to (s)dist
# 1.4  Added missing LDFLAGS (os/2) (Samuel Audet <guardia@cam.org>)
# 1.5  Added 'sdist-os2' target
#

CC=gcc
CFLAGSOPT= -O2 -m486 -malign-loops=0 -malign-jumps=0 -malign-functions=0 -fomit-frame-pointer
CFLAGS= -pipe -Wall $(CFLAGSOPT)
SSL_INC= /usr/include/ssl
SSL_LIBS= -lssl -lcrypto

OBJS = mlddc.o base64.o netio.o

BINDIR= /usr/bin

ifdef SECURE
CFLAGS += -I$(SSL_INC) -DSECURE=1
LDFLAGS= $(SSL_LIBS)
OBJS += secure.o
endif 

.c.o:
	$(CC) $(CFLAGS) $(DEBUG) -c $<
.o:
	$(CC) $^ $(LDFLAGS) -o $@
        
all: mlddc

mlddc: $(OBJS)


# for OS/2:

mlddc.exe: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) -lsocket -Zcrtdll -s

# for Solaris:

mlddc.sol: $(OBJS)
	$(CC) -o mlddc $(OBJS) -lsocket -lnsl


install:
	install -m 755 mlddc $(DESTDIR)/usr/bin

clean:
	rm -f mlddc mlddc.exe *.o *.s core .gdb_history
	
strip:	mlddc
	rm -f *.o
	strip mlddc

dist: 
	make clean strip "DEBUG=-DUSE_SYSLOG"
	(tar cf - mlddc `echo [^s]*`| gzip -9 >../mlddc.tgz)
	rm -f ../mlddc.zip
	zip -9r ../mlddc.zip * -x secure.? ssl/ ssl/COPYRIGHT

sdist: 
	make clean SECURE=1 strip "DEBUG=-DUSE_SYSLOG"
	(cd .. ; tar cf - mlddc | gzip -9 >mlddcs.tgz)
	rm -f ../mlddcs.zip
	zip -9r ../mlddcs.zip *
        
sdist-os2: 
	make clean
	cp ../mlddcs-os2/mlddc.exe .
	chmod u+x mlddc.exe
	rm -f ../mlddcs-os2.zip
	zip -9r ../mlddcs-os2.zip *
	rm mlddc.exe

## mlddc 3.2.2-0bo3

=== debian/changelog ===
mlddc (3.2.2-0bo3) bo-unstable; urgency=low

  * Corrected description

 -- John Hasler <john@dhh.gt.org>  Mon, 23 Mar 1998 17:00:43 -0600

mlddc (3.2.2-0bo2) bo-unstable; urgency=low

  * Corrected missing description

 -- John Hasler <john@dhh.gt.org>  Sun, 22 Mar 1998 22:00:43 -0600

  * Initial Release

 -- John Hasler <john@dhh.gt.org>  Thur, 12 Mar 1998 15:23:43 -0600

        * Initial Release.

=== debian/control ===
Source: mlddc
Section: net
Priority: optional
Maintainer:  <john@dhh.gt.org>
Standards-Version: 2.1.2.2

Package: mlddc
Architecture: any
Depends: ${shlibs:Depends}
Description: A client for the Monolith dynamic DNS.
 mlddc is a client for the Monolith ( http://www.ml.org )
 dynamic DNS ( DYNDNS, http://www.ml.org/dyndns/ ) service.
 It updates the ML database and nameservers with the current IP.

## mlddc 3.2.2-4

=== debian/changelog ===
mlddc (3.2.2-4) frozen unstable; urgency=low

  * Added one line description

 -- John Hasler <john@dhh.gt.org>  Fri, 27 Mar 1998 12:00:43 -0600

mlddc (3.2.2-3 unstable; urgency=low

  * Corrected description

 -- John Hasler <john@dhh.gt.org>  Mon, 23 Mar 1998 17:00:43 -0600

mlddc (3.2.2-2) unstable; urgency=low

  * Corrected missing description

 -- John Hasler <john@dhh.gt.org>  Sun, 22 Mar 1998 22:00:43 -0600

  * Initial Release

 -- John Hasler <john@dhh.gt.org>  Thur, 12 Mar 1998 15:23:43 -0600

        * Initial Release.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=mlddc

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd CHANGES README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
